PLATFORM_DEVICE_ADD_(9)

NAME
platform_device_add_data - add platform-specific data to a platform device

SYNOPSIS

int platform_device_add_data(struct platform_device * pdev, const void * data, size_t size);

ARGUMENTS

pdev
    platform device allocated by platform_device_alloc to add resources to

data
    platform specific data for this platform device

size
    size of platform specific data

DESCRIPTION

Add a copy of platform specific data to the platform device's platform_data pointer. The memory associated with the platform data will be freed when the platform device is released.

COPYRIGHT